Subject: Re: [PATCH v5] MyFirstContribution: add avenues for getting help

From: Emily Shaffer <[email-masked]>
Date: Fri, 24 Jan 2020 12:54:49 -0800

On Fri, Jan 24, 2020 at 12:50:25PM -0800, Emily Shaffer wrote:
> On Fri, Jan 24, 2020 at 12:35:28PM -0800, Junio C Hamano wrote:
> > [email-masked] writes:
> > 
> > > From: Emily Shaffer <[email-masked]>
> > 
> > Hmm, unlike folks who use GGG, your From: address seem almost usable
> > without having to waste two extra lines (which matters when one has
> > to review many patches a day).
> 
> Blame an unhealthy appreciation for being able to write emails in Vim.
> 
> I generate patches with 'git format-patch' - what's the unusable part of
> "almost" usable here? Typically I invoke it like so:
> 
>   git format-patch -o ~/mailed-patches/blah -vN master..branchname
>   git send-email --to=[email-masked] ~/mailed-patches/blah/vN*
> 
> If there's more tweaking I should do in the workflow I'd like to know.

Ah, I think that 'git send-email' is injecting this because I added a
redundant "sendemail.from" line to my ~/.gitconfig while I was testing
out 'git bugreport' for my other patchset. I'll remove that config from
here on.

 - Emily